Fapi_List
Feature API

## Functions

TSS2_RC | Fapi_List (FAPI_CONTEXT *context, char const *searchPath, char **pathList)
TSS2_RC | Fapi_List_Async (FAPI_CONTEXT *context, char const *searchPath)
TSS2_RC | Fapi_List_Finish (FAPI_CONTEXT *context, char **pathList)

## Detailed Description

FAPI functions to invoke List either as one-call or in an asynchronous manner.

## Function Documentation

## Fapi_List()

TSS2_RC Fapi_List | ( | FAPI_CONTEXT * | context,
|  | char const * | searchPath,
|  | char ** | pathList )

One-Call function for Fapi_List

Enumerates all objects in the metadatastore in a fiven path and returns them in a list of complete paths from the root with the values separated by colons.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [in] | searchPath | The path that identifies the root of the search
  [out] | pathList | A colon-separated list of all objects in the root path

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context, searchPath, pathlist is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_PATH | if searchPath does not map to a FAPI entity.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_PATH_NOT_FOUND | if a FAPI object path was not found during authorization.
  TSS2_FAPI_RC_NOT_PROVISIONED | FAPI was not provisioned.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.

## Fapi_List_Async()

TSS2_RC Fapi_List_Async | ( | FAPI_CONTEXT * | context,
|  | char const * | searchPath )

Asynchronous function for Fapi_List

Enumerates all objects in the metadatastore in a fiven path and returns them in a list of complete paths from the root with the values separated by colons.

Call Fapi_List_Finish to finish the execution of this command.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [in] | searchPath | The path that identifies the root of the search

Return values

  TSS2_FAPI_RC_BAD_REFERENCE | if context or searchPath is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_PATH | if searchPath does not map to a FAPI entity.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.

## Fapi_List_Finish()

TSS2_RC Fapi_List_Finish | ( | FAPI_CONTEXT * | context,
|  | char ** | pathList )

Asynchronous finish function for Fapi_List

This function should be called after a previous Fapi_List_Async.

Parameters

  [in,out] | context | The FAPI_CONTEXT
  [out] | pathList | A colon-separated list of all objects in the root path

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_BAD_REFERENCE | if context or pathList is NULL.
  TSS2_FAPI_RC_BAD_CONTEXT | if context corruption is detected.
  TSS2_FAPI_RC_BAD_SEQUENCE | if the context has an asynchronous operation already pending.
  TSS2_FAPI_RC_IO_ERROR | if the data cannot be saved.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory for internal operations or return parameters.
  TSS2_FAPI_RC_TRY_AGAIN | if the asynchronous operation is not yet complete. Call this function again later.
  TSS2_FAPI_RC_PATH_NOT_FOUND | if a FAPI object path was not found during authorization.
  TSS2_FAPI_RC_NOT_PROVISIONED | FAPI was not provisioned.
  TSS2_FAPI_RC_BAD_PATH | if the path is used in inappropriate context or contains illegal characters.
  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.